diff -Nur openbsc.new/src/gsm_04_08.c openbsc.newer/src/gsm_04_08.c
--- openbsc.new/src/gsm_04_08.c	2009-05-23 09:54:35.000000000 +0200
+++ openbsc.newer/src/gsm_04_08.c	2009-05-23 19:29:47.000000000 +0200
@@ -988,6 +988,7 @@
 {
 	struct gsm48_hdr *gh = msgb_l3(msg);
 	struct gsm_lchan *lchan = msg->lchan;
+	struct gsm_bts *bts = msg->trx->bts;
 	u_int8_t mi_type = gh->data[1] & GSM_MI_TYPE_MASK;
 	char mi_string[MI_SIZE];
 	u_int32_t tmsi;
@@ -1021,6 +1022,7 @@
 	/* Check if we can let the mobile station enter */
 	if (authorize_subscriber(lchan->loc_operation, lchan->subscr)) {
 		db_subscriber_alloc_tmsi(lchan->subscr);
+		subscr_update(lchan->subscr, bts, GSM_SUBSCRIBER_UPDATE_ATTACHED);
 		tmsi = strtoul(lchan->subscr->tmsi, NULL, 10);
 		release_loc_updating_req(lchan);
 		return gsm0408_loc_upd_acc(msg->lchan, tmsi);
diff -Nur openbsc.new/src/gsm_subscriber.c openbsc.newer/src/gsm_subscriber.c
--- openbsc.new/src/gsm_subscriber.c	2009-05-21 11:44:13.000000000 +0200
+++ openbsc.newer/src/gsm_subscriber.c	2009-05-23 19:21:35.000000000 +0200
@@ -97,11 +97,15 @@
 	switch (reason) {
 	case GSM_SUBSCRIBER_UPDATE_ATTACHED:
 		s->current_bts = bts;
+		/* Indicate "attaced to LAC" */
+		s->lac = bts->location_area_code;
 		break;
 	case GSM_SUBSCRIBER_UPDATE_DETACHED:
 		/* Only detach if we are currently attached to this bts */
 		if (bts == s->current_bts)
 			s->current_bts = NULL;
+		/* Indicate "detached" */
+		s->lac = 0;
 		break;
 	default:
 		fprintf(stderr, "subscr_update with unknown reason: %d\n",
